#ifndef morpheo_tools_viewer_bdd_Param_h
#define morpheo_tools_viewer_bdd_Param_h

#include <iostream>
#include <iterator>
//#include "Tools/Viewer/Bdd/include/LimitParam.h"

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     


  class Param
    {
    private:
      string name;
      int value;
      string group;
      //morpheo::tools::viewer::bdd::LimitParam *limit;
    protected:

    public:
      /*alloc parameters list*/
      Param(string n, int v,string g);
      Param(Param *p);
      /*unalloc parameters list*/
      ~Param();

      /*accessors*/
      string getName();
      string getGroup();
      int getValue();
      //morpheo::tools::viewer::bdd::LimitParam *getLimit();
      //void setLimit(morpheo::tools::viewer::bdd::LimitParam *l);
    };//end class Param

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
